<template>
  <div>isc登录中.....</div>
</template>

<script>
export default {
  name: "Login2",
  data() {
    return {
      redirect: undefined
    };
  },
  watch: {
    $route: {
      handler: function (route) {
        this.redirect = route.query && route.query.redirect;
      },
      immediate: true,
    },
  },
  created() {
    //获取isc信息 isc=0则进入正常登录 无则isc登录
    let isc=this.$route.query.isc;
    // isc='0';
    console.log(isc)
    if(isc==='0'){
      this.$router.push("/adminLogin");
      return;
    }else{
      this.getLoginByNameAndToken();
    }
  },
  methods: {
    getLoginByNameAndToken(){
      //获取地址栏中的token
      var token = this.$route.query.token;
      var ticket = this.$route.query.ticket;
      console.log(this.$route.query)
      console.log(ticket)
      //调用登录的接口
      if(ticket==''||ticket==undefined||ticket==null){
        window.location.replace("http://10.223.57.127:17089/isc_sso/login?service=http://25.212.177.102:19888/pdm?token=isc");
      }else{
        this.iscLogin(ticket);
      }
    },
    // handlIscLogin() {
    //   let url = window.location.href;
    //   if (url.endsWith("admin")) {
    //     this.$router.push("/adminLogin");
    //     return;
    //   }
    //   let urls = url.split("?");
    //   if (urls.length > 1) {
    //     var ticket = this.$route.query.ticket;
    //     if(ticket==''||ticket==undefined||ticket==null){
    //       let params = urls[1].split("=");
    //       let args = params[1];
    //       if (ticket == "out") {
    //         //生产 10.223.1.127:8098
    //         //测试 10.223.57.127:17089
    //         console.log("重定向ISC--------3");
    //         window.location.href =
    //           "http://10.223.57.127:17089/isc_sso/login?service=http://25.212.177.102:19888";
    //       } else {
    //         this.iscLogin(args);
    //       }
    //     } else {
    //       console.log("重定向ISC--------1");
    //       //生产 10.223.1.127:8098
    //       window.location.href =
    //         "http://10.223.57.127:17089/isc_sso/login?service=http://25.212.177.102:19888";
    //     }
    //   } else {
    //     if (!url.endsWith("admin/")) {
    //       console.log("重定向ISC--------2");
    //       //生产 10.223.1.127:8098
    //       window.location.href =
    //         "http://10.223.57.127:17089/isc_sso/login?service=http://25.212.177.102:19888";
    //     }
    //   }
    // },
    iscLogin(ticket) {
      // login2(ticket).then((res) => {
      //   console.log(res)
      //   if (res == 503) {
      //     this.$message.warning("当前账号未开通权限！");
      //   } else {
      //     this.$router.push({ path: "/index" }).catch(()=>{});
      //   }
      // });
      this.$store
              .dispatch("Login2", ticket)
              .then(() => {
                this.$router
                  .push({ path: this.redirect || "/" })
                  .catch((error) => {});
              })
              .catch((error) => {
                throw error;
              });
    },
    getUrlParam(href) {
      return href.substring(1); // 去除开头的"?"
    },
  },
};
</script>

<style rel="stylesheet/scss" lang="scss">
.login {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  background-image: url("../assets/images/login-background.jpg");
  background-size: cover;
}
.title {
  margin: 0px auto 30px auto;
  text-align: center;
  color: #707070;
}

.login-form {
  border-radius: 6px;
  background: #ffffff;
  width: 400px;
  padding: 25px 25px 5px 25px;
  .el-input {
    height: 38px;
    input {
      height: 38px;
    }
  }
  .input-icon {
    height: 39px;
    width: 14px;
    margin-left: 2px;
  }
}
.login-tip {
  font-size: 13px;
  text-align: center;
  color: #bfbfbf;
}
.login-code {
  width: 33%;
  height: 38px;
  float: right;
  img {
    cursor: pointer;
    vertical-align: middle;
  }
}
.el-login-footer {
  height: 40px;
  line-height: 40px;
  position: fixed;
  bottom: 0;
  width: 100%;
  text-align: center;
  color: #fff;
  font-family: Arial;
  font-size: 12px;
  letter-spacing: 1px;
}
.login-code-img {
  height: 38px;
}
</style>
